module Kinetic
  module DSL
    module TimedEvents

      # Creates a timed event that fired at the set interval. Can be used to broadcast messages
      # to all connected workers.
      def timed_event(label, interval, options={}, &block)
        timed_events[label] = {interval: interval, options: options, block: block}
      end

    end
  end
end
